/* crt.h -- Header file for crt.c */

#ifndef __CRT_H
#define __CRT_H  1     //prevent multiple #includes

#include <stdio.h>
#include <conio.h>
#include <dos.h>

#define CRT_REVERSEVIDEO 0x70
#define CRT_NORMAL       0x07
#define VIDEO            0x010  //BIOS video interrrupt number


typedef unsigned char uchar;


void CrtGotoxy(int, int);
void CrtEeol(unsigned, unsigned );
void CrtEeop(void);
void CrtBox(int, int, unsigned, unsigned, unsigned, unsigned);
void CrtPokew(int, int, unsigned);
void CrtPeekBox(void *, unsigned, unsigned, unsigned, unsigned);
void CrtFillBox(unsigned, unsigned, unsigned,  unsigned, unsigned);
void CrtPokeBox(void *, unsigned, unsigned, unsigned, unsigned);
void CrtHideCursor(void);
void CrtShowCursor(void);
void CrtScroll(int, unsigned, unsigned, unsigned, unsigned, unsigned);
int CrtGetMode(void);

#endif   /* __CRT_H */
